Package com.avaya.clientservices.collaboration

## Interface WhiteboardListener

-     public interface WhiteboardListener

  Whiteboard delegate provides updates about the status of whiteboard sharing.

  Shapes drawn during a whiteboard sharing session are reported through the vector returned from `WhiteboardSurface.getShapes()` method. As a result, no separate shape added/removed/updated callbacks are provided through the delegate.

  See Also:
    `Whiteboard`, `WhiteboardSurface`, `WhiteboardSurface.getShapes()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onWhiteboardEnded​(Whiteboard whiteboard)` | Reports that a white board session is ended.
    `void` | `onWhiteboardEndFailed​(Whiteboard whiteboard, CollaborationFailure failure)` | Reports that ending a whiteboard instance has failed.
    `void` | `onWhiteboardStarted​(Whiteboard whiteboard, WhiteboardSurface surface, Participant participant)` | Reports that a white board session is started as the active session.
    `void` | `onWhiteboardStartFailed​(Whiteboard whiteboard, CollaborationFailure failure)` | Reports that starting a whiteboard instance has failed.
    `void` | `onWhiteboardSurfaceAdded​(Whiteboard whiteboard, WhiteboardSurface surface, Participant participant)` | Reports that a new `WhiteboardSurface` whiteboard page has been added to an existing whiteboard
    `void` | `onWhiteboardSurfaceAddFailed​(Whiteboard whiteboard, CollaborationFailure failure)` | Reports that a new `WhiteboardSurface` whiteboard page has failed to be added to an existing whiteboard
    `void` | `onWhiteboardSurfaceRemoved​(Whiteboard whiteboard, WhiteboardSurface surface, Participant participant)` | Reports that some participant from collaboration has removed a `WhiteboardSurface` whiteboard page.
    `void` | `onWhiteboardSurfaceRemoveFailed​(Whiteboard whiteboard, WhiteboardSurface surface, CollaborationFailure failure)` | Reports that some participant from collaboration has tried to remove a `WhiteboardSurface` whiteboard page but it's failed to remove.
    `void` | `onWhiteboardSurfaceSetActive​(Whiteboard whiteboard, WhiteboardSurface surface, Participant participant)` | Reports that some participant from collaboration sets an active whiteboard page.
    `void` | `onWhiteboardSurfaceSetActiveFailed​(Whiteboard whiteboard, WhiteboardSurface surface, CollaborationFailure failure)` | Reports that some participant from collaboration sets an active whiteboard page but it's failed to become active.

- - ### Method Detail

    - #### onWhiteboardStarted

          void onWhiteboardStarted​(Whiteboard whiteboard,
                                   WhiteboardSurface surface,
                                   Participant participant)

      Reports that a white board session is started as the active session.
      Parameters:
        `whiteboard` - whiteboard instance that is started.
        `surface` - whiteboard page.
        `participant` - participant who started whiteboard.

    - #### onWhiteboardStartFailed

          void onWhiteboardStartFailed​(Whiteboard whiteboard,
                                       CollaborationFailure failure)

      Reports that starting a whiteboard instance has failed.
      Parameters:
        `whiteboard` - which failed to start.
        `failure` - failure reason.

    - #### onWhiteboardEnded

          void onWhiteboardEnded​(Whiteboard whiteboard)

      Reports that a white board session is ended. The contents of this white board session are completely deleted.
      Parameters:
        `whiteboard` - whiteboard instance that is ended.

    - #### onWhiteboardEndFailed

          void onWhiteboardEndFailed​(Whiteboard whiteboard,
                                     CollaborationFailure failure)

      Reports that ending a whiteboard instance has failed.
      Parameters:
        `whiteboard` - which failed to end.
        `failure` - `CollaborationFailure` failure reason.

    - #### onWhiteboardSurfaceAdded

          void onWhiteboardSurfaceAdded​(Whiteboard whiteboard,
                                        WhiteboardSurface surface,
                                        Participant participant)

      Reports that a new `WhiteboardSurface` whiteboard page has been added to an existing whiteboard
      Parameters:
        `whiteboard` - existing whiteboard object.
        `surface` - new page.
        `participant` - participant who added new page.

    - #### onWhiteboardSurfaceAddFailed

          void onWhiteboardSurfaceAddFailed​(Whiteboard whiteboard,
                                            CollaborationFailure failure)

      Reports that a new `WhiteboardSurface` whiteboard page has failed to be added to an existing whiteboard
      Parameters:
        `whiteboard` - existing whiteboard object.
        `failure` - failure reason.

    - #### onWhiteboardSurfaceSetActive

          void onWhiteboardSurfaceSetActive​(Whiteboard whiteboard,
                                            WhiteboardSurface surface,
                                            Participant participant)

      Reports that some participant from collaboration sets an active whiteboard page.
      Parameters:
        `whiteboard` - existing whiteboard object.
        `surface` - active page.
        `participant` - participant who set active page.

    - #### onWhiteboardSurfaceSetActiveFailed

          void onWhiteboardSurfaceSetActiveFailed​(Whiteboard whiteboard,
                                                  WhiteboardSurface surface,
                                                  CollaborationFailure failure)

      Reports that some participant from collaboration sets an active whiteboard page but it's failed to become active.
      Parameters:
        `whiteboard` - existing whiteboard object.
        `surface` - page which failed to become active.
        `failure` - failure reason.

    - #### onWhiteboardSurfaceRemoved

          void onWhiteboardSurfaceRemoved​(Whiteboard whiteboard,
                                          WhiteboardSurface surface,
                                          Participant participant)

      Reports that some participant from collaboration has removed a `WhiteboardSurface` whiteboard page.
      Parameters:
        `whiteboard` - existing whiteboard object.
        `surface` - new page which is removed.
        `participant` - participant who removed page.

    - #### onWhiteboardSurfaceRemoveFailed

          void onWhiteboardSurfaceRemoveFailed​(Whiteboard whiteboard,
                                               WhiteboardSurface surface,
                                               CollaborationFailure failure)

      Reports that some participant from collaboration has tried to remove a `WhiteboardSurface` whiteboard page but it's failed to remove.
      Parameters:
        `whiteboard` - existing whiteboard object.
        `surface` - new page which is failed to remove.
        `failure` - failure reason.